var HTMLInputElement = Object.extend(new HTMLElement(), {
  // This is just a stub for a builtin native JavaScript object.
/**
 * A comma-separated list of content types that a server
 * processing this form will handle correctly. See the 
 * accept attribute definition in HTML 4.01.
 * @type String
 */
accept: undefined,
/**
 * A single character access key to give access to the form
 * control. See the 
 * accesskey attribute definition in HTML 4.01.
 * @type String
 */
accessKey: undefined,
/**
 * Aligns this object (vertically or horizontally) with respect to
 * its surrounding text. See the 
 * align attribute definition in HTML 4.01. This attribute is
 * deprecated in HTML 4.01.
 * @type String
 */
align: undefined,
/**
 * Alternate text for user agents not rendering the normal content
 * of this element. See the 
 * alt attribute definition in HTML 4.01.
 * @type String
 */
alt: undefined,
/**
 * Removes keyboard focus from this element.
 * @type void
 */
blur: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * When the type attribute of the element has the
 * value "radio" or "checkbox", this represents the current state of
 * the form control, in an interactive user agent. Changes to this
 * attribute change the state of the form control, but do not change
 * the value of the HTML checked attribute of the INPUT element. 
 * @type Boolean
 */
checked: undefined,
/**
 * Simulate a mouse-click. For INPUT elements whose type attribute has one of the following
 * values: "button", "checkbox", "radio", "reset", or "submit".
 * @type void
 */
click: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * When type has the value "radio" or "checkbox",
 * this represents the HTML checked attribute of the element. The
 * value of this attribute does not change if the state of the
 * corresponding form control, in an interactive user agent, changes.
 * See the 
 * checked attribute definition in HTML 4.01.
 * @type Boolean
 */
defaultChecked: undefined,
/**
 * Represents the contents of the element. The value of this
 * attribute does not change if the contents of the corresponding form
 * control, in an interactive user agent, changes.
 * @type String
 */
defaultValue: undefined,
/**
 * The control is unavailable in this context. See the 
 * disabled attribute definition in HTML 4.01.
 * @type Boolean
 */
disabled: undefined,
/**
 * Gives keyboard focus to this element.
 * @type void
 */
focus: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * Returns the FORM element containing this control.
 * Returns null if this control is not within the context
 * of a form.
 * @type HTMLFormElement
 */
form: undefined,
/**
 * Maximum number of characters for text fields, when
 * type has the value "text" or "password". See the 
 * maxlength attribute definition in HTML 4.01.
 * @type Number
 */
maxLength: undefined,
/**
 * The frame name (object of the target attribute).
 * See the 
 * name attribute definition in HTML 4.01.
 * @type String
 */
name: undefined,
/**
 * This control is read-only. See the 
 * readonly attribute definition in HTML 4.01.
 * @type Boolean
 */
readOnly: undefined,
/**
 * Select the contents of the TEXTAREA .
 * @type void
 */
select: function() {
  // This is just a stub for a builtin native JavaScript object.
},
/**
 * The height of the rule. See the 
 * size attribute definition in HTML 4.01. This attribute is
 * deprecated in HTML 4.01.
 * @type Number
 */
size: undefined,
/**
 * A URI [IETF RFC 2396] designating the
 * initial frame contents. See the 
 * src attribute definition in HTML 4.01.
 * @type String
 */
src: undefined,
/**
 * Index that represents the element's position in the tabbing
 * order. See the 
 * tabindex attribute definition in HTML 4.01.
 * @type Number
 */
tabIndex: undefined,
/**
 * The content type of the script language. See the 
 * type attribute definition in HTML 4.01.
 * @type String
 */
type: undefined,
/**
 * Use client-side image map. See the 
 * usemap attribute definition in HTML 4.01.
 * @type String
 */
useMap: undefined,
/**
 * The value of a run-time parameter. See the 
 * value attribute definition in HTML 4.01.
 * @type String
 */
value: undefined,
});

